Jump to content

  •  

CNers have asked about a donation box for Cloudy Nights over the years, so here you go. Donation is not required by any means, so please enjoy your stay.

Photo

Meade website, Autostar update

  • Please log in to reply
12 replies to this topic

#1 kpb44

kpb44

    Lift Off

  • -----
  • topic starter
  • Posts: 2
  • Joined: 04 Nov 2019

Posted 04 November 2019 - 02:50 PM

I’m trying to get back into Astronomy after a 4 year break. Dusted off my lx90 and thought I’d better update the Autostar and software. I found an Autostar suite page and downloaded the software. After 4 years it seems like it hadn’t changed at all, didn’t even install itself on windows 10. The Meade website seems strange, disorganised  what’s been going on with them? Tried updating the handset and got 404 page not found error.

 

The version of Autostar updater I found was 4.88 is that the latest? What’s the latest 947 handset firmware?

 

Thanks.



#2 OzAndrewJ

OzAndrewJ

    Gemini

  • *****
  • Posts: 3,076
  • Joined: 30 Nov 2010

Posted 04 November 2019 - 03:41 PM

Gday kpb44

If you have a 497, then Meade have not really updated the firmware since 43Eg,

so you are probably still on the latest firmware.

If you have a GPS unit, you may have problems with the recent GPS rollover bug.

If so you will need to update

I always suggest people use the free version of the StarPatch loader

https://www.stargps.ca/downloads.htm

to update the 497 firmware and apply the latest 3rd party patches

 

Andrew Johansen Melbourne Australia


  • EdIII and Piet Le Roux like this

#3 kpb44

kpb44

    Lift Off

  • -----
  • topic starter
  • Posts: 2
  • Joined: 04 Nov 2019

Posted 05 November 2019 - 03:18 AM

Thanks. I’ll give that a try.



#4 spartan1

spartan1

    Sputnik

  • -----
  • Posts: 30
  • Joined: 07 Sep 2014

Posted 29 January 2020 - 06:26 AM

I am in a similar position with my dusty LXD75 8SN with Autostar.  The previous owner never updated anything on the system and the firmware shows as 33En from 2005.  I have been to Meade's website and also to Weasner's Autostar information site but I remain confused as to what Meade Auto Update version to use for downloading what old firmware version - and what is the most recent firmware update that is relevant to the LXD75. Can someone offer some help here please? 

 

On another matter, is there a way of defining what the visible field is for a particular site, ie. defining the horizon so as not to be guided to stars below 15 degrees Dec, areas of tall buildings, etc.  Vixen's Skysensor 2000 was able to do this but I dont see a way of excluding areas with Autostar - so presumably everything above the horizon 0-360 is considered viewable?   



#5 Piet Le Roux

Piet Le Roux

    Mariner 2

  • *****
  • Posts: 201
  • Joined: 07 May 2018
  • Loc: Bloemfontein, South Africa

Posted 30 January 2020 - 04:39 AM

I loaded a standard Meade 43Eg firmware on a Autostar and tried to update it via Meade's website and Autostar updater 6.1 cannot reach their site so guess the only way to get firmware now is from the StarGPS site and loading it with their StarPatch software.



#6 Bill Buchanan

Bill Buchanan

    Lift Off

  • -----
  • Posts: 1
  • Joined: 03 Feb 2008
  • Loc: Purcell, OK, US

Posted 01 February 2020 - 12:50 PM

I also am "enjoying" trying to get back into use of my 10" Meade LX200GPS.  First time Poster here.  The usb to RS232 device I last used (several years ago) reports that it expired 2012.  A call to my local telescope dealer, trying to locate a device that works in Win 10, and I am told I just need new drivers.  Cannot find such for old device.  I ordered a USB to the ethernet style plug.  It did connect me to scope and was able to "update" to Meade's listed update.  Tours , Comets, Satellites etc are no longer there.  Error 404.

 

I tried Starpatch with the new cable with no success finding the scope.

 

A bit frustrated here.  Any suggestions as to how get up and running?

 

I hope this isn't considered hijacking the post....

 

Bill



#7 spartan1

spartan1

    Sputnik

  • -----
  • Posts: 30
  • Joined: 07 Sep 2014

Posted 02 February 2020 - 03:46 AM

I also am "enjoying" trying to get back into use of my 10" Meade LX200GPS.  First time Poster here.  The usb to RS232 device I last used (several years ago) reports that it expired 2012.  A call to my local telescope dealer, trying to locate a device that works in Win 10, and I am told I just need new drivers.  Cannot find such for old device.  I ordered a USB to the ethernet style plug.  It did connect me to scope and was able to "update" to Meade's listed update.  Tours , Comets, Satellites etc are no longer there.  Error 404.

 

I tried Starpatch with the new cable with no success finding the scope.

 

A bit frustrated here.  Any suggestions as to how get up and running?

 

I hope this isn't considered hijacking the post....

 

Bill

Bill, I dont think you are hijacking the post at all. Its all very relevant.  You prob already know that Weasner is considered a guru for the older updates but his pages are still 6/7 years old.  You dont mention which software version you currently have on Austostar.  You might try to do the update via a Windows 7 machine?

 

http://www.weasner.c.../downloads.html



#8 spartan1

spartan1

    Sputnik

  • -----
  • Posts: 30
  • Joined: 07 Sep 2014

Posted 02 February 2020 - 04:41 AM

Bill, I dont think you are hijacking the post at all. Its all very relevant.  You prob already know that Weasner is considered a guru for the older updates but his pages are still 6/7 years old.  You dont mention which software version you currently have on Austostar.  You might try to do the update via a Windows 7 machine?

 

http://www.weasner.c.../downloads.html

https://www.meademods.com/videos

 

Check this out.  It covers the Windows 10 matter.  Suggests a particular new cable.



#9 SJMarty

SJMarty

    Sputnik

  • *****
  • Posts: 32
  • Joined: 15 Sep 2008
  • Loc: Jacksonville, FL

Posted 03 February 2020 - 02:42 PM

I also am "enjoying" trying to get back into use of my 10" Meade LX200GPS.  First time Poster here.  The usb to RS232 device I last used (several years ago) reports that it expired 2012.  A call to my local telescope dealer, trying to locate a device that works in Win 10, and I am told I just need new drivers.  Cannot find such for old device.  I ordered a USB to the ethernet style plug.  It did connect me to scope and was able to "update" to Meade's listed update.  Tours , Comets, Satellites etc are no longer there.  Error 404.

 

I tried Starpatch with the new cable with no success finding the scope.

 

A bit frustrated here.  Any suggestions as to how get up and running?

 

I hope this isn't considered hijacking the post....

 

Bill

I am dusting my stuff off too and had the same issue.  I had an old cable that used to work (with Windows 7) but when I plugged it in to my Windows 10 laptop, I got the same message about the driver no longer being supported/expired.  I just had to buy a new USB to DB9 adapter that was supported in Windows 10.



#10 spartan1

spartan1

    Sputnik

  • -----
  • Posts: 30
  • Joined: 07 Sep 2014

Posted 05 February 2020 - 07:15 PM

I am dusting my stuff off too and had the same issue.  I had an old cable that used to work (with Windows 7) but when I plugged it in to my Windows 10 laptop, I got the same message about the driver no longer being supported/expired.  I just had to buy a new USB to DB9 adapter that was supported in Windows 10.

I watched the Meademods video and that seems to confirm what you say. I have a Windows 7 machine as well as Windows 10 but dont have any cables at all for the Meade connection so best I go for the new USB /DB9 cable and start from scratch.  For the moment, as my system is running OK, I may take the  'if it aint broke, dont fix it' route. I hear some users had problems after certain recent updates were installed and ended up reloading an older firmware version.



#11 KimTorp

KimTorp

    Lift Off

  • -----
  • Posts: 1
  • Joined: 05 Feb 2020

Posted 05 February 2020 - 07:51 PM

I’m trying ro update my LX850 Autostar II firmware from 1.1g to 1.1i version. I use a windows 7 laptop. I have the old version of the RS232/USB cable. When I connect the cable to the RS232 port on the scope, the red power LED and the Autostar II starts flashing and the autostar updater can not connect to the LX850...have anyone experienced this before?

#12 zanxion72

zanxion72

    Sputnik

  • -----
  • Posts: 34
  • Joined: 06 Jan 2014

Posted 06 February 2020 - 06:18 AM

I’m trying to get back into Astronomy after a 4 year break. Dusted off my lx90 and thought I’d better update the Autostar and software. I found an Autostar suite page and downloaded the software. After 4 years it seems like it hadn’t changed at all, didn’t even install itself on windows 10. The Meade website seems strange, disorganised  what’s been going on with them? Tried updating the handset and got 404 page not found error.

 

The version of Autostar updater I found was 4.88 is that the latest? What’s the latest 947 handset firmware?

 

Thanks.

I have installed the Autostar Suite from here:

https://www.meade.co...autostar-suite/

 

Autostar Suite:

https://www.meade.com/autostar-suite/

 

AutoStar 6.1 updater:

https://www.meade.co...ar-updater-6-1/

 

The Autostar 6.1 updater includes the latest frimwares by Meade. Wait for the pages to load (it takes quite a while). If you cannot download them, I can upload my copies somewhere for you.

I am using it under the latest version of Windows 10 64bit with a serial to usb cable.



#13 zanxion72

zanxion72

    Sputnik

  • -----
  • Posts: 34
  • Joined: 06 Jan 2014

Posted 06 February 2020 - 06:51 AM

I’m trying ro update my LX850 Autostar II firmware from 1.1g to 1.1i version. I use a windows 7 laptop. I have the old version of the RS232/USB cable. When I connect the cable to the RS232 port on the scope, the red power LED and the Autostar II starts flashing and the autostar updater can not connect to the LX850...have anyone experienced this before?

Try changing the communication settings of the COM port being used. Try 9600 baud, 8bit, no parity, no flow control. It is slow, but it does the job. Using the max speed of 57600 does not work on my setup (Win 10, USB to serial).


  • spartan1 and KimTorp like this


CNers have asked about a donation box for Cloudy Nights over the years, so here you go. Donation is not required by any means, so please enjoy your stay.


Recent Topics






Cloudy Nights LLC
Cloudy Nights Sponsor: Astronomics